squash-overlayfs-live-openmamba: workaround to fix problem since udev 212 about systemd-udev mounting in its own namespace [release 037-4mamba;Wed Apr 16 2014]
This commit is contained in:
parent
8d2905bcae
commit
616125c595
@ -1,2 +1,4 @@
|
|||||||
# dracut
|
# dracut
|
||||||
|
|
||||||
|
Dracut is a generic, modular initramfs generation tool that can be used across various distributions.
|
||||||
|
|
||||||
|
18
dracut-007-dmsquash-liveiso-extramount.patch
Normal file
18
dracut-007-dmsquash-liveiso-extramount.patch
Normal file
@ -0,0 +1,18 @@
|
|||||||
|
Solo in dracut-007: dracut.8
|
||||||
|
Solo in dracut-007: dracut-catimages.8
|
||||||
|
Solo in dracut-007: dracut.conf.5
|
||||||
|
Solo in dracut-007: dracut-gencmdline.8
|
||||||
|
Solo in dracut-007: dracut.kernel.7
|
||||||
|
diff -ru dracut-007.orig//modules.d/90dmsquash-live/dmsquash-liveiso-genrules.sh dracut-007/modules.d/90dmsquash-live/dmsquash-liveiso-genrules.sh
|
||||||
|
--- dracut-007.orig//modules.d/90dmsquash-live/dmsquash-liveiso-genrules.sh 2010-08-09 16:13:51.000000000 +0200
|
||||||
|
+++ dracut-007/modules.d/90dmsquash-live/dmsquash-liveiso-genrules.sh 2010-10-22 22:11:42.265423182 +0200
|
||||||
|
@@ -1,5 +1,9 @@
|
||||||
|
if [ "${root%%:*}" = "liveiso" ]; then
|
||||||
|
+ DEVLABEL=${root#liveiso:/}
|
||||||
|
+ DEVLABEL=${DEVLABEL/\/`basename ${DEVLABEL}`}
|
||||||
|
{
|
||||||
|
+ printf 'ENV{ID_FS_LABEL}=="%s", RUN+="/bin/mkdir /%s", RUN+="/bin/mount /dev/%%k /%s"\n' \
|
||||||
|
+ ${DEVLABEL} ${DEVLABEL} ${DEVLABEL}
|
||||||
|
printf 'KERNEL=="loop0", RUN+="/sbin/initqueue --settled --onetime --unique /sbin/dmsquash-live-root `/sbin/losetup -f --show %s`"\n' \
|
||||||
|
${root#liveiso:}
|
||||||
|
} >> /etc/udev/rules.d/99-liveiso-mount.rules
|
26
dracut-007-install_uvesafb.patch
Normal file
26
dracut-007-install_uvesafb.patch
Normal file
@ -0,0 +1,26 @@
|
|||||||
|
diff -ru dracut-007.orig//modules.d/50plymouth/installkernel dracut-007/modules.d/50plymouth/installkernel
|
||||||
|
--- dracut-007.orig//modules.d/50plymouth/installkernel 2010-08-09 16:13:51.000000000 +0200
|
||||||
|
+++ dracut-007/modules.d/50plymouth/installkernel 2010-09-18 21:36:22.048443676 +0200
|
||||||
|
@@ -3,3 +3,9 @@
|
||||||
|
for modname in $(find "$srcmods/kernel/drivers/gpu/drm" -name '*.ko' 2>/dev/null); do
|
||||||
|
grep -q drm_crtc_init $modname && instmods $modname
|
||||||
|
done
|
||||||
|
+# Include uvesafb
|
||||||
|
+[ -e /sbin/v86d ] && {
|
||||||
|
+ instmods uvesafb
|
||||||
|
+ inst /sbin/v86d
|
||||||
|
+ inst /sbin/testvbe
|
||||||
|
+}
|
||||||
|
diff -ru dracut-007.orig//modules.d/50plymouth/plymouth-pretrigger.sh dracut-007/modules.d/50plymouth/plymouth-pretrigger.sh
|
||||||
|
--- dracut-007.orig//modules.d/50plymouth/plymouth-pretrigger.sh 2010-08-09 16:13:51.000000000 +0200
|
||||||
|
+++ dracut-007/modules.d/50plymouth/plymouth-pretrigger.sh 2010-09-18 21:12:37.753313417 +0200
|
||||||
|
@@ -8,6 +8,9 @@
|
||||||
|
udevadm trigger --subsystem-match=graphics --subsystem-match=drm --subsystem-match=tty >/dev/null 2>&1
|
||||||
|
|
||||||
|
udevadm settle --timeout=30 2>&1 | vinfo
|
||||||
|
+
|
||||||
|
+ [ ! -c /dev/fb0 -a -e /sbin/v86d ] && modprobe uvesafb
|
||||||
|
+
|
||||||
|
[ -c /dev/zero ] || mknod -m 0666 /dev/zero c 1 5
|
||||||
|
[ -c /dev/tty0 ] || mknod -m 0620 /dev/tty0 c 4 0
|
||||||
|
[ -e /dev/systty ] || ln -s tty0 /dev/systty
|
11
dracut-010-devmapper_silent.patch
Normal file
11
dracut-010-devmapper_silent.patch
Normal file
@ -0,0 +1,11 @@
|
|||||||
|
diff -Nru dracut-010.orig//dracut-functions dracut-010/dracut-functions
|
||||||
|
--- dracut-010.orig//dracut-functions 2011-03-31 19:50:31.000000000 +0200
|
||||||
|
+++ dracut-010/dracut-functions 2011-06-02 20:20:35.858288574 +0200
|
||||||
|
@@ -190,6 +190,7 @@
|
||||||
|
# but you cannot create the logical volume without the volume group.
|
||||||
|
# And the volume group might be bigger than the devices the LV needs.
|
||||||
|
check_vol_slaves() {
|
||||||
|
+ [ -d /dev/mapper ] && \
|
||||||
|
for i in /dev/mapper/*; do
|
||||||
|
lv=$(get_numeric_dev $i)
|
||||||
|
if [[ $lv = $2 ]]; then
|
27
dracut-010-ld.so.conf.d-fix.patch
Normal file
27
dracut-010-ld.so.conf.d-fix.patch
Normal file
@ -0,0 +1,27 @@
|
|||||||
|
From 76353076c081ac51647214c5ce910aba027b25db Mon Sep 17 00:00:00 2001
|
||||||
|
From: =?utf8?q?Amadeusz=20=C5=BBo=C5=82nowski?= <aidecoe@aidecoe.name>
|
||||||
|
Date: Sat, 2 Apr 2011 00:45:44 +0200
|
||||||
|
Subject: [PATCH] dracut: don't fail on empty /etc/ld.so.conf.d/
|
||||||
|
|
||||||
|
---
|
||||||
|
dracut | 4 +++-
|
||||||
|
1 files changed, 3 insertions(+), 1 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/dracut b/dracut
|
||||||
|
index c6605bb..15a5ee5 100755
|
||||||
|
--- a/dracut
|
||||||
|
+++ b/dracut
|
||||||
|
@@ -524,7 +524,9 @@ done
|
||||||
|
unset item
|
||||||
|
|
||||||
|
# make sure that library links are correct and up to date
|
||||||
|
-dracut_install /etc/ld.so.conf /etc/ld.so.conf.d/*
|
||||||
|
+for f in /etc/ld.so.conf /etc/ld.so.conf.d/*; do
|
||||||
|
+ [[ -e $f ]] && dracut_install "$f"
|
||||||
|
+done
|
||||||
|
if ! ldconfig -r "$initdir"; then
|
||||||
|
if [[ $UID = 0 ]]; then
|
||||||
|
derror "ldconfig exited ungracefully"
|
||||||
|
--
|
||||||
|
1.7.4.4
|
||||||
|
|
@ -0,0 +1,26 @@
|
|||||||
|
From d63fdc1198cd13ed68e7f08acd7ca164c9f35262 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Harald Hoyer <harald@redhat.com>
|
||||||
|
Date: Tue, 20 Sep 2011 10:10:29 +0200
|
||||||
|
Subject: [PATCH] 99base/init: mount securityfs with source "securityfs"
|
||||||
|
instead of dest
|
||||||
|
|
||||||
|
---
|
||||||
|
modules.d/99base/init | 2 +-
|
||||||
|
1 files changed, 1 insertions(+), 1 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/modules.d/99base/init b/modules.d/99base/init
|
||||||
|
index 4f59818..fa808ca 100755
|
||||||
|
--- a/modules.d/99base/init
|
||||||
|
+++ b/modules.d/99base/init
|
||||||
|
@@ -89,7 +89,7 @@ RD_DEBUG=""
|
||||||
|
SECURITYFSDIR="/sys/kernel/security"
|
||||||
|
export SECURITYFSDIR
|
||||||
|
if ! ismounted "${SECURITYFSDIR}"; then
|
||||||
|
- mount -t securityfs -o nosuid,noexec,nodev ${SECURITYFSDIR} ${SECURITYFSDIR} >/dev/null 2>&1
|
||||||
|
+ mount -t securityfs -o nosuid,noexec,nodev securityfs ${SECURITYFSDIR} >/dev/null 2>&1
|
||||||
|
fi
|
||||||
|
|
||||||
|
if [ -x /lib/systemd/systemd-timestamp ]; then
|
||||||
|
--
|
||||||
|
1.7.6.2
|
||||||
|
|
@ -0,0 +1,45 @@
|
|||||||
|
From 2e7b6616814a3706f0c15bc20c7c8303463bcba0 Mon Sep 17 00:00:00 2001
|
||||||
|
From: Harald Hoyer <harald@redhat.com>
|
||||||
|
Date: Fri, 20 Jan 2012 12:06:41 +0100
|
||||||
|
Subject: [PATCH] 90kernel-modules/module-setup.sh: install modules.order
|
||||||
|
|
||||||
|
Also install modules.order and all modules.builtin*
|
||||||
|
---
|
||||||
|
modules.d/90kernel-modules/module-setup.sh | 11 ++++++-----
|
||||||
|
1 files changed, 6 insertions(+), 5 deletions(-)
|
||||||
|
|
||||||
|
diff --git a/modules.d/90kernel-modules/module-setup.sh b/modules.d/90kernel-modules/module-setup.sh
|
||||||
|
index 257b3bc..7888428 100755
|
||||||
|
--- a/modules.d/90kernel-modules/module-setup.sh
|
||||||
|
+++ b/modules.d/90kernel-modules/module-setup.sh
|
||||||
|
@@ -68,7 +68,7 @@ installkernel() {
|
||||||
|
}
|
||||||
|
|
||||||
|
install() {
|
||||||
|
- local _f
|
||||||
|
+ local _f i
|
||||||
|
[ -f /etc/modprobe.conf ] && dracut_install /etc/modprobe.conf
|
||||||
|
for i in $(find -L /etc/modprobe.d/ -maxdepth 1 -type f -name '*.conf'); do
|
||||||
|
inst_simple "$i"
|
||||||
|
@@ -76,13 +76,14 @@ install() {
|
||||||
|
inst_hook cmdline 01 "$moddir/parse-kernel.sh"
|
||||||
|
inst_simple "$moddir/insmodpost.sh" /sbin/insmodpost.sh
|
||||||
|
|
||||||
|
- local f
|
||||||
|
-
|
||||||
|
for _f in modules.builtin.bin modules.builtin; do
|
||||||
|
- [[ $srcmods/$_f ]] && inst_simple "$srcmods/$_f" "/lib/modules/$kernel/$_f" \
|
||||||
|
- && break
|
||||||
|
+ [[ $srcmods/$_f ]] && break
|
||||||
|
done || {
|
||||||
|
dfatal "No modules.builtin.bin and modules.builtin found!"
|
||||||
|
return 1
|
||||||
|
}
|
||||||
|
+
|
||||||
|
+ for _f in modules.builtin.bin modules.builtin modules.order; do
|
||||||
|
+ [[ $srcmods/$_f ]] && inst_simple "$srcmods/$_f" "/lib/modules/$kernel/$_f"
|
||||||
|
+ done
|
||||||
|
}
|
||||||
|
--
|
||||||
|
1.7.6.5
|
||||||
|
|
12
dracut-020-openmamba_logo_release.patch
Normal file
12
dracut-020-openmamba_logo_release.patch
Normal file
@ -0,0 +1,12 @@
|
|||||||
|
diff -Nru dracut-011.orig//modules.d/50plymouth/plymouth-populate-initrd dracut-011/modules.d/50plymouth/plymouth-populate-initrd
|
||||||
|
--- dracut-020.orig//modules.d/50plymouth/plymouth-populate-initrd.sh 2011-07-18 17:05:06.000000000 +0200
|
||||||
|
+++ dracut-020/modules.d/50plymouth/plymouth-populate-initrd.sh 2011-08-11 18:34:19.125257177 +0200
|
||||||
|
@@ -7,7 +7,7 @@
|
||||||
|
inst /sbin/plymouthd /bin/plymouthd
|
||||||
|
dracut_install /bin/plymouth \
|
||||||
|
"${PLYMOUTH_LOGO_FILE}" \
|
||||||
|
- /etc/system-release
|
||||||
|
+ /etc/openmamba-release
|
||||||
|
|
||||||
|
mkdir -m 0755 -p "${initdir}/usr/share/plymouth"
|
||||||
|
|
11
dracut-020-plymouth-0.8.5.1.patch
Normal file
11
dracut-020-plymouth-0.8.5.1.patch
Normal file
@ -0,0 +1,11 @@
|
|||||||
|
diff -Nru dracut-020.orig/modules.d/50plymouth/module-setup.sh dracut-020/modules.d/50plymouth/module-setup.sh
|
||||||
|
--- dracut-020.orig/modules.d/50plymouth/module-setup.sh 2012-06-29 12:54:38.000000000 +0200
|
||||||
|
+++ dracut-020/modules.d/50plymouth/module-setup.sh 2012-07-01 13:02:10.613450256 +0200
|
||||||
|
@@ -65,7 +65,6 @@
|
||||||
|
|
||||||
|
install() {
|
||||||
|
if grep -q nash /usr/libexec/plymouth/plymouth-populate-initrd \
|
||||||
|
- || ! grep -q PLYMOUTH_POPULATE_SOURCE_FUNCTIONS /usr/libexec/plymouth/plymouth-populate-initrd \
|
||||||
|
|| [ ! -x /usr/libexec/plymouth/plymouth-populate-initrd ]; then
|
||||||
|
. "$moddir"/plymouth-populate-initrd.sh
|
||||||
|
else
|
40
dracut-026-lsinitrd.patch
Normal file
40
dracut-026-lsinitrd.patch
Normal file
@ -0,0 +1,40 @@
|
|||||||
|
--- a/lsinitrd.sh
|
||||||
|
+++ b/lsinitrd.sh
|
||||||
|
@@ -54,23 +54,23 @@ if [[ "$1" ]]; then
|
||||||
|
usage
|
||||||
|
exit 1
|
||||||
|
fi
|
||||||
|
-fi
|
||||||
|
-
|
||||||
|
-[[ -f /etc/machine-id ]] && read MACHINE_ID < /etc/machine-id
|
||||||
|
-
|
||||||
|
-if [[ $MACHINE_ID ]] && ( [[ -d /boot/${MACHINE_ID} ]] || [[ -L /boot/${MACHINE_ID} ]] ); then
|
||||||
|
- image="/boot/${MACHINE_ID}/${KERNEL_VERSION}/initrd"
|
||||||
|
else
|
||||||
|
- image="/boot/initramfs-${KERNEL_VERSION}.img}"
|
||||||
|
-fi
|
||||||
|
+ [[ -f /etc/machine-id ]] && read MACHINE_ID < /etc/machine-id
|
||||||
|
|
||||||
|
-if ! [[ -f "$image" ]]; then
|
||||||
|
- {
|
||||||
|
+ if [[ $MACHINE_ID ]] && ( [[ -d /boot/${MACHINE_ID} ]] || [[ -L /boot/${MACHINE_ID} ]] ); then
|
||||||
|
+ image="/boot/${MACHINE_ID}/${KERNEL_VERSION}/initrd"
|
||||||
|
+ else
|
||||||
|
+ image="/boot/initramfs-${KERNEL_VERSION}.img"
|
||||||
|
+ fi
|
||||||
|
+
|
||||||
|
+ if ! [[ -f "$image" ]]; then
|
||||||
|
+ {
|
||||||
|
echo "No <initramfs file> specified and the default image '$image' cannot be accessed!"
|
||||||
|
echo
|
||||||
|
- } >&2
|
||||||
|
- usage
|
||||||
|
- exit 1
|
||||||
|
+ } >&2
|
||||||
|
+ usage
|
||||||
|
+ exit 1
|
||||||
|
+ fi
|
||||||
|
fi
|
||||||
|
|
||||||
|
CAT=zcat
|
||||||
|
|
13
dracut-027-find-systemdutildir.patch
Normal file
13
dracut-027-find-systemdutildir.patch
Normal file
@ -0,0 +1,13 @@
|
|||||||
|
diff -Nru dracut-027.orig/dracut.sh dracut-027/dracut.sh
|
||||||
|
--- dracut-027.orig/dracut.sh 2013-03-26 16:55:03.000000000 +0100
|
||||||
|
+++ dracut-027/dracut.sh 2013-04-05 11:52:47.509677138 +0200
|
||||||
|
@@ -895,6 +895,9 @@
|
||||||
|
|
||||||
|
if ! [[ -d "$systemdutildir" ]]; then
|
||||||
|
[[ -d /lib/systemd ]] && systemdutildir=/lib/systemd
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+if ! [[ -d "$systemdutildir" ]]; then
|
||||||
|
[[ -d /usr/lib/systemd ]] && systemdutildir=/usr/lib/systemd
|
||||||
|
fi
|
||||||
|
|
14
dracut-027-kmod.patch
Normal file
14
dracut-027-kmod.patch
Normal file
@ -0,0 +1,14 @@
|
|||||||
|
diff -Nru dracut-027.orig/dracut-functions.sh dracut-027/dracut-functions.sh
|
||||||
|
--- dracut-027.orig/dracut-functions.sh 2013-03-26 16:55:03.000000000 +0100
|
||||||
|
+++ dracut-027/dracut-functions.sh 2013-04-04 15:23:14.500724486 +0200
|
||||||
|
@@ -83,10 +83,6 @@
|
||||||
|
|
||||||
|
srcmods="/lib/modules/$kernel/"
|
||||||
|
[[ $drivers_dir ]] && {
|
||||||
|
- if vercmp $(modprobe --version | cut -d' ' -f3) lt 3.7; then
|
||||||
|
- dfatal 'To use --kmoddir option module-init-tools >= 3.7 is required.'
|
||||||
|
- exit 1
|
||||||
|
- fi
|
||||||
|
srcmods="$drivers_dir"
|
||||||
|
}
|
||||||
|
export srcmods
|
11
dracut-032-fix-libdirs.patch
Normal file
11
dracut-032-fix-libdirs.patch
Normal file
@ -0,0 +1,11 @@
|
|||||||
|
--- dracut-032/dracut-functions.sh.orig 2013-08-30 18:05:41.908672162 +0200
|
||||||
|
+++ dracut-032/dracut-functions.sh 2013-08-30 18:05:54.521558808 +0200
|
||||||
|
@@ -81,7 +81,7 @@
|
||||||
|
[[ -d /usr/lib ]] && libdirs+=" /usr/lib"
|
||||||
|
fi
|
||||||
|
|
||||||
|
- libdirs+="$(ldconfig_paths)"
|
||||||
|
+ libdirs+=" $(ldconfig_paths)"
|
||||||
|
|
||||||
|
export libdirs
|
||||||
|
fi
|
12
dracut-032-nfs-var-statd-sm.patch
Normal file
12
dracut-032-nfs-var-statd-sm.patch
Normal file
@ -0,0 +1,12 @@
|
|||||||
|
diff -Nru dracut-032.orig/modules.d/95nfs/module-setup.sh dracut-032/modules.d/95nfs/module-setup.sh
|
||||||
|
--- dracut-032.orig/modules.d/95nfs/module-setup.sh 2013-08-20 13:08:52.000000000 +0200
|
||||||
|
+++ dracut-032/modules.d/95nfs/module-setup.sh 2013-08-30 12:07:02.965711902 +0200
|
||||||
|
@@ -58,7 +58,7 @@
|
||||||
|
inst "$moddir/nfs-lib.sh" "/lib/nfs-lib.sh"
|
||||||
|
mkdir -m 0755 -p "$initdir/var/lib/nfs/rpc_pipefs"
|
||||||
|
mkdir -m 0755 -p "$initdir/var/lib/rpcbind"
|
||||||
|
- mkdir -m 0755 -p "$initdir/var/lib/nfs/statd/sm"
|
||||||
|
+ mkdir -m 0755 -p "$initdir/var/lib/nfs/sm"
|
||||||
|
|
||||||
|
# Rather than copy the passwd file in, just set a user for rpcbind
|
||||||
|
# We'll save the state and restart the daemon from the root anyway
|
12
dracut-037-fix_devpts_gid.patch
Normal file
12
dracut-037-fix_devpts_gid.patch
Normal file
@ -0,0 +1,12 @@
|
|||||||
|
diff -ru dracut-037.orig/modules.d/99base/init.sh dracut-037/modules.d/99base/init.sh
|
||||||
|
--- dracut-037.orig/modules.d/99base/init.sh 2014-03-19 17:16:08.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99base/init.sh 2014-03-28 19:40:16.466316363 +0100
|
||||||
|
@@ -56,7 +56,7 @@
|
||||||
|
|
||||||
|
if ! ismounted /dev/pts; then
|
||||||
|
mkdir -m 0755 /dev/pts
|
||||||
|
- mount -t devpts -o gid=5,mode=620,noexec,nosuid devpts /dev/pts >/dev/null
|
||||||
|
+ mount -t devpts -o gid=4,mode=620,noexec,nosuid devpts /dev/pts >/dev/null
|
||||||
|
fi
|
||||||
|
|
||||||
|
if ! ismounted /dev/shm; then
|
10
dracut-037-i18n_install_locale-archive.patch
Normal file
10
dracut-037-i18n_install_locale-archive.patch
Normal file
@ -0,0 +1,10 @@
|
|||||||
|
--- dracut-037.orig/modules.d/10i18n/module-setup.sh 2014-03-19 17:16:08.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/10i18n/module-setup.sh 2014-03-28 19:43:39.088543767 +0100
|
||||||
|
@@ -220,6 +220,7 @@
|
||||||
|
mksubdirs ${initdir}${VCONFIG_CONF}
|
||||||
|
print_vars KEYMAP EXT_KEYMAPS UNICODE FONT FONT_MAP FONT_UNIMAP >> ${initdir}${VCONFIG_CONF}
|
||||||
|
fi
|
||||||
|
+ inst_simple /usr/lib/locale/locale-archive
|
||||||
|
|
||||||
|
return 0
|
||||||
|
}
|
25
dracut-037-mkinitrd-hostonly.patch
Normal file
25
dracut-037-mkinitrd-hostonly.patch
Normal file
@ -0,0 +1,25 @@
|
|||||||
|
diff -Nru dracut-037.orig/mkinitrd-dracut.sh dracut-037/mkinitrd-dracut.sh
|
||||||
|
--- dracut-037.orig/mkinitrd-dracut.sh 2014-03-19 17:16:08.000000000 +0100
|
||||||
|
+++ dracut-037/mkinitrd-dracut.sh 2014-03-28 19:38:53.690041537 +0100
|
||||||
|
@@ -210,17 +210,17 @@
|
||||||
|
if [[ $quiet == 1 ]];then
|
||||||
|
echo "$target|$kernel|$dracut_args|$basicmodules"
|
||||||
|
if [[ $basicmodules ]]; then
|
||||||
|
- dracut $dracut_args --add-drivers "$basicmodules" "$target" \
|
||||||
|
+ dracut -H $dracut_args --add-drivers "$basicmodules" "$target" \
|
||||||
|
"$kernel" &>/dev/null
|
||||||
|
else
|
||||||
|
- dracut $dracut_args "$target" "$kernel" &>/dev/null
|
||||||
|
+ dracut -H $dracut_args "$target" "$kernel" &>/dev/null
|
||||||
|
fi
|
||||||
|
else
|
||||||
|
if [[ $basicmodules ]]; then
|
||||||
|
- dracut $dracut_args --add-drivers "$basicmodules" "$target" \
|
||||||
|
+ dracut -H $dracut_args --add-drivers "$basicmodules" "$target" \
|
||||||
|
"$kernel"
|
||||||
|
else
|
||||||
|
- dracut $dracut_args "$target" "$kernel"
|
||||||
|
+ dracut -H $dracut_args "$target" "$kernel"
|
||||||
|
fi
|
||||||
|
fi
|
||||||
|
done
|
259
dracut-037-squash-overlayfs-live-openmamba.patch
Normal file
259
dracut-037-squash-overlayfs-live-openmamba.patch
Normal file
@ -0,0 +1,259 @@
|
|||||||
|
diff -Nru dracut-037.orig/modules.d/99squash-live/apply-live-updates.sh dracut-037/modules.d/99squash-live/apply-live-updates.sh
|
||||||
|
--- dracut-037.orig/modules.d/99squash-live/apply-live-updates.sh 1970-01-01 01:00:00.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99squash-live/apply-live-updates.sh 2014-04-16 17:01:00.492528268 +0200
|
||||||
|
@@ -0,0 +1,17 @@
|
||||||
|
+#!/bin/sh
|
||||||
|
+
|
||||||
|
+if [ -d /updates ]; then
|
||||||
|
+ info "Applying updates to live image..."
|
||||||
|
+ mount -o bind /run $NEWROOT/run
|
||||||
|
+ # avoid overwriting symlinks (e.g. /lib -> /usr/lib) with directories
|
||||||
|
+ (
|
||||||
|
+ cd /updates
|
||||||
|
+ find . -depth -type d | while read dir; do
|
||||||
|
+ mkdir -p "$NEWROOT/$dir"
|
||||||
|
+ done
|
||||||
|
+ find . -depth \! -type d | while read file; do
|
||||||
|
+ cp -a "$file" "$NEWROOT/$file"
|
||||||
|
+ done
|
||||||
|
+ )
|
||||||
|
+ umount $NEWROOT/run
|
||||||
|
+fi
|
||||||
|
diff -Nru dracut-037.orig/modules.d/99squash-live/module-setup.sh dracut-037/modules.d/99squash-live/module-setup.sh
|
||||||
|
--- dracut-037.orig/modules.d/99squash-live/module-setup.sh 1970-01-01 01:00:00.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99squash-live/module-setup.sh 2014-04-16 17:15:26.401669184 +0200
|
||||||
|
@@ -0,0 +1,31 @@
|
||||||
|
+#!/bin/bash
|
||||||
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||||
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
||||||
|
+
|
||||||
|
+check() {
|
||||||
|
+ # a live host-only image doesn't really make a lot of sense
|
||||||
|
+ [[ $hostonly ]] && return 1
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+depends() {
|
||||||
|
+ return 0
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+installkernel() {
|
||||||
|
+ instmods squashfs loop overlayfs ehci-hcd ohci-hcd uhci-hcd xhci-hcd usb_storage iso9660
|
||||||
|
+}
|
||||||
|
+
|
||||||
|
+install() {
|
||||||
|
+ dracut_install umount dmsetup blkid dd losetup grep blockdev
|
||||||
|
+ dracut_install -o checkisomd5
|
||||||
|
+ inst_hook cmdline 30 "$moddir/parse-squash-live.sh"
|
||||||
|
+ inst_hook pre-udev 30 "$moddir/squash-live-genrules.sh"
|
||||||
|
+ inst_hook pre-udev 30 "$moddir/squash-liveiso-genrules.sh"
|
||||||
|
+ inst_hook pre-pivot 20 "$moddir/apply-live-updates.sh"
|
||||||
|
+ inst_script "$moddir/squash-live-root.sh" "/sbin/squash-live-root"
|
||||||
|
+ # should probably just be generally included
|
||||||
|
+ inst_rules 60-cdrom_id.rules
|
||||||
|
+ # fix required since systemd-udev 212 because udev now mounts in its own namespace
|
||||||
|
+ sed -i "s/MountFlags=.*/MountFlags=shared/" ${initdir}/lib/systemd/system/systemd-udevd.service
|
||||||
|
+}
|
||||||
|
diff -Nru dracut-037.orig/modules.d/99squash-live/parse-squash-live.sh dracut-037/modules.d/99squash-live/parse-squash-live.sh
|
||||||
|
--- dracut-037.orig/modules.d/99squash-live/parse-squash-live.sh 1970-01-01 01:00:00.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99squash-live/parse-squash-live.sh 2014-04-16 17:01:00.492528268 +0200
|
||||||
|
@@ -0,0 +1,50 @@
|
||||||
|
+#!/bin/sh
|
||||||
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||||
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
||||||
|
+# live images are specified with
|
||||||
|
+# root=live:backingdev
|
||||||
|
+
|
||||||
|
+[ -z "$root" ] && root=$(getarg root=)
|
||||||
|
+
|
||||||
|
+# support legacy syntax of passing liveimg and then just the base root
|
||||||
|
+if getargbool 0 rd.live.image -d -y liveimg; then
|
||||||
|
+ liveroot="live:$root"
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+if [ "${root%%:*}" = "live" ] ; then
|
||||||
|
+ liveroot=$root
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+[ "${liveroot%%:*}" = "live" ] || return
|
||||||
|
+
|
||||||
|
+modprobe -q loop
|
||||||
|
+
|
||||||
|
+case "$liveroot" in
|
||||||
|
+ live:LABEL=*|LABEL=*) \
|
||||||
|
+ root="${root#live:}"
|
||||||
|
+ root="$(echo $root | sed 's,/,\\x2f,g')"
|
||||||
|
+ root="live:/dev/disk/by-label/${root#LABEL=}"
|
||||||
|
+ rootok=1 ;;
|
||||||
|
+ live:CDLABEL=*|CDLABEL=*) \
|
||||||
|
+ root="${root#live:}"
|
||||||
|
+ root="$(echo $root | sed 's,/,\\x2f,g')"
|
||||||
|
+ root="live:/dev/disk/by-label/${root#CDLABEL=}"
|
||||||
|
+ rootok=1 ;;
|
||||||
|
+ live:UUID=*|UUID=*) \
|
||||||
|
+ root="${root#live:}"
|
||||||
|
+ root="live:/dev/disk/by-uuid/${root#UUID=}"
|
||||||
|
+ rootok=1 ;;
|
||||||
|
+ live:/*.[Ii][Ss][Oo]|/*.[Ii][Ss][Oo])
|
||||||
|
+ root="${root#live:}"
|
||||||
|
+ root="liveiso:${root}"
|
||||||
|
+ rootok=1 ;;
|
||||||
|
+ live:/dev/*)
|
||||||
|
+ rootok=1 ;;
|
||||||
|
+ live:/*.[Ii][Mm][Gg]|/*.[Ii][Mm][Gg])
|
||||||
|
+ [ -f "${root#live:}" ] && rootok=1 ;;
|
||||||
|
+esac
|
||||||
|
+info "root was $liveroot, is now $root"
|
||||||
|
+
|
||||||
|
+# make sure that init doesn't complain
|
||||||
|
+[ -z "$root" ] && root="live"
|
||||||
|
+
|
||||||
|
diff -Nru dracut-037.orig/modules.d/99squash-live/squash-live-genrules.sh dracut-037/modules.d/99squash-live/squash-live-genrules.sh
|
||||||
|
--- dracut-037.orig/modules.d/99squash-live/squash-live-genrules.sh 1970-01-01 01:00:00.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99squash-live/squash-live-genrules.sh 2014-04-16 17:01:00.492528268 +0200
|
||||||
|
@@ -0,0 +1,16 @@
|
||||||
|
+#!/bin/sh
|
||||||
|
+if [ "${root%%:*}" = "live" ]; then
|
||||||
|
+ {
|
||||||
|
+ printf 'KERNEL=="%s", SYMLINK+="live"\n' \
|
||||||
|
+ ${root#live:/dev/}
|
||||||
|
+ printf 'SYMLINK=="%s", SYMLINK+="live"\n' \
|
||||||
|
+ ${root#live:/dev/}
|
||||||
|
+ } >> /etc/udev/rules.d/99-live-mount.rules
|
||||||
|
+ {
|
||||||
|
+ printf 'KERNEL=="%s", RUN+="/sbin/initqueue --settled --onetime --unique /sbin/squash-live-root $env{DEVNAME}"\n' \
|
||||||
|
+ ${root#live:/dev/}
|
||||||
|
+ printf 'SYMLINK=="%s", RUN+="/sbin/initqueue --settled --onetime --unique /sbin/squash-live-root $env{DEVNAME}"\n' \
|
||||||
|
+ ${root#live:/dev/}
|
||||||
|
+ } >> /etc/udev/rules.d/99-live-squash.rules
|
||||||
|
+ echo '[ -e /dev/root ]' > $hookdir/initqueue/finished/squash.sh
|
||||||
|
+fi
|
||||||
|
diff -Nru dracut-037.orig/modules.d/99squash-live/squash-liveiso-genrules.sh dracut-037/modules.d/99squash-live/squash-liveiso-genrules.sh
|
||||||
|
--- dracut-037.orig/modules.d/99squash-live/squash-liveiso-genrules.sh 1970-01-01 01:00:00.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99squash-live/squash-liveiso-genrules.sh 2014-04-16 17:01:00.492528268 +0200
|
||||||
|
@@ -0,0 +1,14 @@
|
||||||
|
+#!/bin/sh
|
||||||
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||||
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
||||||
|
+if [ "${root%%:*}" = "liveiso" ]; then
|
||||||
|
+ DEVLABEL=${root#liveiso:/}
|
||||||
|
+ DEVLABEL=${DEVLABEL%%/*}
|
||||||
|
+ {
|
||||||
|
+ printf 'ENV{ID_FS_LABEL}=="%s", RUN+="/bin/mkdir /%s", RUN+="/bin/mount /dev/%%k /%s", RUN+="/sbin/initqueue --settled --onetime --unique /sbin/squash-live-root `/sbin/losetup -f --show %s` /%s"\n' \
|
||||||
|
+ ${DEVLABEL} ${DEVLABEL} ${DEVLABEL} ${root#liveiso:} ${DEVLABEL}
|
||||||
|
+# printf 'KERNEL=="loop-control", RUN+="/sbin/initqueue --settled --onetime --unique /sbin/squash-live-root `/sbin/losetup -f --show %s` /%s"\n' \
|
||||||
|
+# ${root#liveiso:} ${DEVLABEL}
|
||||||
|
+ } >> /etc/udev/rules.d/99-liveiso-mount.rules
|
||||||
|
+ echo '[ -e /dev/root ]' > $hookdir/initqueue/finished/squash.sh
|
||||||
|
+fi
|
||||||
|
diff -Nru dracut-037.orig/modules.d/99squash-live/squash-live-root.sh dracut-037/modules.d/99squash-live/squash-live-root.sh
|
||||||
|
--- dracut-037.orig/modules.d/99squash-live/squash-live-root.sh 1970-01-01 01:00:00.000000000 +0100
|
||||||
|
+++ dracut-037/modules.d/99squash-live/squash-live-root.sh 2014-04-16 17:01:00.492528268 +0200
|
||||||
|
@@ -0,0 +1,107 @@
|
||||||
|
+#!/bin/sh
|
||||||
|
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
|
||||||
|
+# ex: ts=8 sw=4 sts=4 et filetype=sh
|
||||||
|
+
|
||||||
|
+type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
|
||||||
|
+
|
||||||
|
+PATH=/usr/sbin:/usr/bin:/sbin:/bin
|
||||||
|
+
|
||||||
|
+if getargbool 0 rd.live.debug -n -y rdlivedebug; then
|
||||||
|
+ exec > /tmp/liveroot.$$.out
|
||||||
|
+ exec 2>> /tmp/liveroot.$$.out
|
||||||
|
+ set -x
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+[ -z "$1" ] && { warn "Missing livedvd from command line."; action_on_fail "Could not boot."; }
|
||||||
|
+livedev="$1"
|
||||||
|
+
|
||||||
|
+# With e.g. root=live:/openmamba_live/openmamba-live.iso DEVLABEL is /openmamba_live
|
||||||
|
+DEVLABEL="$2"
|
||||||
|
+
|
||||||
|
+# parse various live image specific options that make sense to be
|
||||||
|
+# specified as their own things
|
||||||
|
+live_dir=$(getarg rd.live.dir -d live_dir)
|
||||||
|
+[ -z "$live_dir" ] && live_dir="LiveOS"
|
||||||
|
+getargbool 0 rd.live.ram -d -y live_ram && live_ram="yes"
|
||||||
|
+getargbool 0 rd.live.overlay.reset -d -y reset_overlay && reset_overlay="yes"
|
||||||
|
+getargbool 0 rd.live.overlay.readonly -d -y readonly_overlay && readonly_overlay="--readonly" || readonly_overlay=""
|
||||||
|
+overlay=$(getarg rd.live.overlay -d overlay)
|
||||||
|
+
|
||||||
|
+# FIXME: we need to be able to hide the plymouth splash for the check really
|
||||||
|
+[ -b $livedev ] && fs=$(blkid -s TYPE -o value $livedev)
|
||||||
|
+if [ "$fs" = "iso9660" -o "$fs" = "udf" ]; then
|
||||||
|
+ check="yes"
|
||||||
|
+fi
|
||||||
|
+getarg rd.live.check -d check || check=""
|
||||||
|
+if [ -n "$check" ]; then
|
||||||
|
+ [ -x /bin/plymouth ] && /bin/plymouth --hide-splash
|
||||||
|
+ checkisomd5 --verbose $livedev
|
||||||
|
+ if [ $? -ne 0 ]; then
|
||||||
|
+ warn "CD check failed!"
|
||||||
|
+ action_on_fail "Could not boot."
|
||||||
|
+ fi
|
||||||
|
+ [ -x /bin/plymouth ] && /bin/plymouth --show-splash
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+ln -s $livedev /run/initramfs/livedev
|
||||||
|
+
|
||||||
|
+getarg ro && liverw=ro
|
||||||
|
+getarg rw && liverw=rw
|
||||||
|
+[ -z "$liverw" ] && liverw=ro
|
||||||
|
+
|
||||||
|
+# FIXME: loop to wait for partition to become available
|
||||||
|
+c=0
|
||||||
|
+while [ ! -e $livedev -a $c -lt 10 ]; do
|
||||||
|
+ echo "Device $livedev not ready; sleeping 1 second"
|
||||||
|
+ sleep 1
|
||||||
|
+ c=$(($c+1))
|
||||||
|
+done
|
||||||
|
+
|
||||||
|
+# mount the backing of the live image first
|
||||||
|
+mkdir /cdrom
|
||||||
|
+mount -n -t $fstype -o $liverw $livedev /cdrom
|
||||||
|
+RES=$?
|
||||||
|
+if [ "$RES" != "0" ]; then
|
||||||
|
+ warn "Failed to mount block device of live image"
|
||||||
|
+ action_on_fail "Could not boot."
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+if [ -e /cdrom/${live_dir}/squashfs.img ]; then
|
||||||
|
+ SQUASHED="/cdrom/${live_dir}/squashfs.img"
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+if [ -e "$SQUASHED" ] ; then
|
||||||
|
+ echo "Mounting compressed filesystem"
|
||||||
|
+ losetup -r /dev/loop1 $SQUASHED
|
||||||
|
+ mkdir -p /squashfs
|
||||||
|
+ mount -r -t squashfs /dev/loop1 /squashfs
|
||||||
|
+
|
||||||
|
+ if [ ! "${DEVLABEL}" -o "$live_ram" = "yes" ]; then
|
||||||
|
+ echo "Creating ramdisk (dinamic size=${RAMSIZE}k) using /dev/shm..."
|
||||||
|
+ mkdir -p /ramfs
|
||||||
|
+ mount -t tmpfs tmpfs /ramfs -o mode=755
|
||||||
|
+ echo "Mounting overlayfs using ramdisk"
|
||||||
|
+ mount -t overlayfs -o lowerdir=/squashfs,upperdir=/ramfs overlayfs ${NEWROOT}
|
||||||
|
+ mkdir -p ${NEWROOT}/ramfs
|
||||||
|
+ mount -n -o bind /ramfs ${NEWROOT}/ramfs
|
||||||
|
+ else
|
||||||
|
+ echo "Mounting overlayfs using /${DEVLABEL}/rwroot"
|
||||||
|
+ mkdir -p /${DEVLABEL}/rwroot
|
||||||
|
+ mount -t overlayfs -o lowerdir=/squashfs,upperdir=/${DEVLABEL}/rwroot overlayfs ${NEWROOT}
|
||||||
|
+ mkdir -p ${NEWROOT}/flash
|
||||||
|
+ mount -n -o bind /${DEVLABEL} ${NEWROOT}/flash
|
||||||
|
+ fi
|
||||||
|
+ mkdir -p ${NEWROOT}/squashfs ${NEWROOT}/cdrom
|
||||||
|
+ mount -n -o bind /cdrom ${NEWROOT}/cdrom
|
||||||
|
+ mount -n -o bind /squashfs ${NEWROOT}/squashfs
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+ROOTFLAGS="$(getarg rootflags)"
|
||||||
|
+if [ -n "$ROOTFLAGS" ]; then
|
||||||
|
+ ROOTFLAGS="-o $ROOTFLAGS"
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
+ln -s /dev/shm /dev/root
|
||||||
|
+printf '# already mounted' > $hookdir/mount/01-$$-live.sh
|
||||||
|
+
|
||||||
|
+exit 0
|
6
dracut-openmamba.conf
Normal file
6
dracut-openmamba.conf
Normal file
@ -0,0 +1,6 @@
|
|||||||
|
# /etc/dracut.conf.d/openmamba.conf
|
||||||
|
# Dracut config file customized for openmamba.
|
||||||
|
|
||||||
|
# i18n
|
||||||
|
keyboard_vars="/etc/sysconfig/keyboard:KEYMAP"
|
||||||
|
i18n_vars="/etc/sysconfig/console:CONSOLE_FONT-SYSFONT,CONSOLE_UNICODEMAP-UNIMAP"
|
BIN
dracut-openmamba.png
Normal file
BIN
dracut-openmamba.png
Normal file
Binary file not shown.
After Width: | Height: | Size: 1.9 KiB |
518
dracut.spec
Normal file
518
dracut.spec
Normal file
@ -0,0 +1,518 @@
|
|||||||
|
Name: dracut
|
||||||
|
Version: 037
|
||||||
|
Release: 4mamba
|
||||||
|
Summary: Generic, modular initramfs generation tool that can be used across various distributions
|
||||||
|
Group: System/Kernel and Hardware
|
||||||
|
Vendor: openmamba
|
||||||
|
Distribution: openmamba
|
||||||
|
Packager: Silvan Calarco <silvan.calarco@mambasoft.it>
|
||||||
|
URL: http://sourceforge.net/apps/trac/dracut/
|
||||||
|
Source: ftp://ftp.kernel.org/pub/linux/utils/boot/dracut/dracut-%{version}.tar.xz
|
||||||
|
Source1: dracut-openmamba.conf
|
||||||
|
Source2: dracut-openmamba.png
|
||||||
|
Patch0: %{name}-020-openmamba_logo_release.patch
|
||||||
|
Patch2: %{name}-007-install_uvesafb.patch
|
||||||
|
Patch3: %{name}-007-dmsquash-liveiso-extramount.patch
|
||||||
|
Patch4: %{name}-010-devmapper_silent.patch
|
||||||
|
Patch5: %{name}-037-squash-overlayfs-live-openmamba.patch
|
||||||
|
Patch6: %{name}-037-mkinitrd-hostonly.patch
|
||||||
|
Patch7: %{name}-010-ld.so.conf.d-fix.patch
|
||||||
|
Patch8: %{name}-037-fix_devpts_gid.patch
|
||||||
|
Patch9: %{name}-013-mount_securityfs_with_source_securityfs_instead_of_dest.patch
|
||||||
|
Patch10: %{name}-037-i18n_install_locale-archive.patch
|
||||||
|
Patch11: %{name}-014-also_install_modules.order_and_all_modules.builtin.patch
|
||||||
|
Patch12: %{name}-020-plymouth-0.8.5.1.patch
|
||||||
|
Patch13: dracut-026-lsinitrd.patch
|
||||||
|
Patch14: dracut-027-kmod.patch
|
||||||
|
Patch15: dracut-027-find-systemdutildir.patch
|
||||||
|
Patch16: dracut-032-nfs-var-statd-sm.patch
|
||||||
|
Patch17: dracut-032-fix-libdirs.patch
|
||||||
|
License: GPL
|
||||||
|
## AUTOBUILDREQ-BEGIN
|
||||||
|
BuildRequires: glibc-devel
|
||||||
|
## AUTOBUILDREQ-END
|
||||||
|
BuildRequires: %{_bindir}/xsltproc
|
||||||
|
BuildRequires: dash
|
||||||
|
BuildRequires: systemd-devel
|
||||||
|
Requires: udev >= 168
|
||||||
|
Requires: bridge-utils
|
||||||
|
Requires: plymouth
|
||||||
|
Requires: iproute
|
||||||
|
#Requires: sysvinit
|
||||||
|
Requires: iputils
|
||||||
|
Requires: less
|
||||||
|
Requires: dhcp-client
|
||||||
|
Requires: util-linux-ng
|
||||||
|
Requires: nfs-utils
|
||||||
|
Requires: cpio
|
||||||
|
Requires: bzip2
|
||||||
|
Requires: gzip
|
||||||
|
Requires: lvm2
|
||||||
|
Requires: ifenslave
|
||||||
|
Requires: kexec-tools
|
||||||
|
Requires: reiserfsprogs
|
||||||
|
Requires: xfsprogs
|
||||||
|
Requires: btrfs-progs
|
||||||
|
Requires: jfsutils
|
||||||
|
Requires: file
|
||||||
|
Requires: dash
|
||||||
|
Requires: eject
|
||||||
|
Requires: mdadm
|
||||||
|
Requires: isomd5sum
|
||||||
|
Requires: binutils
|
||||||
|
Requires: prelink
|
||||||
|
Requires: /bin/pidof
|
||||||
|
Requires: /sbin/reboot
|
||||||
|
Requires: /sbin/poweroff
|
||||||
|
Requires: /sbin/halt
|
||||||
|
Requires: keyutils
|
||||||
|
Requires: curl
|
||||||
|
Requires: tar
|
||||||
|
Requires: openssh-clients
|
||||||
|
Requires: cifs-utils
|
||||||
|
Provides: mkinitramfs
|
||||||
|
Obsoletes: mkinitramfs
|
||||||
|
BuildRoot: %{_tmppath}/%{name}-%{version}-root
|
||||||
|
|
||||||
|
%description
|
||||||
|
Dracut is a generic, modular initramfs generation tool that can be used across various distributions.
|
||||||
|
|
||||||
|
%package modules-extras
|
||||||
|
Summary: Extra optional modules for dracut
|
||||||
|
Group: Development/Libraries
|
||||||
|
Requires: %{name} = %{version}-%{release}
|
||||||
|
|
||||||
|
%description modules-extras
|
||||||
|
Dracut is a generic, modular initramfs generation tool that can be used across various distributions.
|
||||||
|
This package conatins extra optional modules for dracut.
|
||||||
|
|
||||||
|
%prep
|
||||||
|
%setup -q
|
||||||
|
%patch0 -p1
|
||||||
|
#%patch2 -p1
|
||||||
|
#%patch3 -p1
|
||||||
|
#%patch4 -p1
|
||||||
|
%patch5 -p1
|
||||||
|
%patch6 -p1
|
||||||
|
#%patch7 -p1
|
||||||
|
%patch8 -p1
|
||||||
|
#%patch9 -p1
|
||||||
|
%patch10 -p1
|
||||||
|
#%patch11 -p1
|
||||||
|
#%patch12 -p1
|
||||||
|
#%patch13 -p1
|
||||||
|
#%patch14 -p1
|
||||||
|
%patch15 -p1
|
||||||
|
%patch16 -p1
|
||||||
|
#%patch17 -p1
|
||||||
|
chmod +x modules.d/99squash-live/*
|
||||||
|
|
||||||
|
# remove *.orig files created by patched to prevent from being installed
|
||||||
|
find . -name "*.orig" -exec rm -f {} \;
|
||||||
|
|
||||||
|
%build
|
||||||
|
%make \
|
||||||
|
sysconfdir=%{_sysconfdir} \
|
||||||
|
systemdsystemunitdir=%{_unitdir}
|
||||||
|
|
||||||
|
%install
|
||||||
|
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
|
||||||
|
%makeinstall \
|
||||||
|
sysconfdir=%{_sysconfdir} \
|
||||||
|
systemdsystemunitdir=%{_unitdir}
|
||||||
|
|
||||||
|
install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/dracut.conf.d/openmamba.conf
|
||||||
|
install -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/openmamba-logo.png
|
||||||
|
|
||||||
|
# compatibility symlinks
|
||||||
|
install -d -m0755 %{buildroot}%{_sbindir}
|
||||||
|
ln -s ../bin/dracut %{buildroot}%{_sbindir}/dracut
|
||||||
|
ln -s ../bin/mkinitrd %{buildroot}%{_sbindir}/mkinitrd
|
||||||
|
|
||||||
|
%clean
|
||||||
|
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
|
||||||
|
|
||||||
|
%files
|
||||||
|
%defattr(-,root,root)
|
||||||
|
%config %{_sysconfdir}/dracut.conf
|
||||||
|
%{_sysconfdir}/dracut.conf.d/openmamba.conf
|
||||||
|
%{_bindir}/dracut
|
||||||
|
%{_bindir}/lsinitrd
|
||||||
|
%{_bindir}/mkinitrd
|
||||||
|
%{_bindir}/dracut-catimages
|
||||||
|
#%{_bindir}/dracut-install
|
||||||
|
%{_sbindir}/dracut
|
||||||
|
%{_sbindir}/mkinitrd
|
||||||
|
%dir %{_prefix}/lib/dracut
|
||||||
|
%{_prefix}/lib/dracut/dracut-functions
|
||||||
|
%{_prefix}/lib/dracut/dracut-functions.sh
|
||||||
|
%{_prefix}/lib/dracut/dracut-initramfs-restore
|
||||||
|
%{_prefix}/lib/dracut/dracut-install
|
||||||
|
%{_prefix}/lib/dracut/dracut-logger.sh
|
||||||
|
%{_prefix}/lib/dracut/dracut-version.sh
|
||||||
|
%{_prefix}/lib/dracut/skipcpio
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/00systemd-bootchart
|
||||||
|
%{_prefix}/lib/dracut/modules.d/00systemd-bootchart/module-setup.sh
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/00bash
|
||||||
|
%{_prefix}/lib/dracut/modules.d/00bash/module-setup.sh
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/00dash
|
||||||
|
%{_prefix}/lib/dracut/modules.d/00dash/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/01fips
|
||||||
|
%{_prefix}/lib/dracut/modules.d/01fips/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/02caps
|
||||||
|
%{_prefix}/lib/dracut/modules.d/02caps/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/02fips-aesni
|
||||||
|
%{_prefix}/lib/dracut/modules.d/02fips-aesni/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/03rescue
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/03modsign
|
||||||
|
%{_prefix}/lib/dracut/modules.d/03modsign/*
|
||||||
|
%{_prefix}/lib/dracut/modules.d/03rescue/module-setup.sh
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/04watchdog
|
||||||
|
%{_prefix}/lib/dracut/modules.d/04watchdog/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/10i18n
|
||||||
|
%{_prefix}/lib/dracut/modules.d/10i18n/*
|
||||||
|
#%dir %{_prefix}/lib/dracut/modules.d/10rpmversion
|
||||||
|
#%{_prefix}/lib/dracut/modules.d/10rpmversion/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/30convertfs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/30convertfs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/40network
|
||||||
|
%{_prefix}/lib/dracut/modules.d/40network/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/45ifcfg
|
||||||
|
%{_prefix}/lib/dracut/modules.d/45ifcfg/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/45url-lib
|
||||||
|
%{_prefix}/lib/dracut/modules.d/45url-lib/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/50drm
|
||||||
|
%{_prefix}/lib/dracut/modules.d/50drm/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/50plymouth
|
||||||
|
%{_prefix}/lib/dracut/modules.d/50plymouth/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/80cms
|
||||||
|
%{_prefix}/lib/dracut/modules.d/80cms/*
|
||||||
|
#%dir %{_prefix}/lib/dracut/modules.d/90bcache
|
||||||
|
#%{_prefix}/lib/dracut/modules.d/90bcache/module-setup.sh
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90btrfs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90btrfs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90kernel-modules
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90kernel-modules/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90livenet
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90livenet/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90mdraid
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90mdraid/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90multipath
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90multipath/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90qemu
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90qemu/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90qemu-net
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90qemu-net/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/91crypt-gpg
|
||||||
|
%{_prefix}/lib/dracut/modules.d/91crypt-gpg/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/91crypt-loop
|
||||||
|
%{_prefix}/lib/dracut/modules.d/91crypt-loop/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95cifs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95cifs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95dasd
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95dasd/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95dasd_mod
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95dasd_mod/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95dasd_rules
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95dasd_rules/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95debug
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95debug/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95fcoe
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95fcoe/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95fcoe-uefi
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95fcoe-uefi/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95iscsi
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95iscsi/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95nbd
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95nbd/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95nfs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95nfs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95resume
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95resume/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95rootfs-block
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95rootfs-block/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95ssh-client
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95ssh-client/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95terminfo
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95terminfo/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95udev-rules
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95udev-rules/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95virtfs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95virtfs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95fstab-sys
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95fstab-sys/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95zfcp
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95zfcp/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95zfcp_rules
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95zfcp_rules/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/95znet
|
||||||
|
%{_prefix}/lib/dracut/modules.d/95znet/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/96securityfs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/96securityfs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98usrmount
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98usrmount/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/97biosdevname
|
||||||
|
%{_prefix}/lib/dracut/modules.d/97biosdevname/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/97masterkey
|
||||||
|
%{_prefix}/lib/dracut/modules.d/97masterkey/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98ecryptfs
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98ecryptfs/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98integrity
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98integrity/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98pollcdrom
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98pollcdrom/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98selinux
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98selinux/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98syslog
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98syslog/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/98systemd
|
||||||
|
%{_prefix}/lib/dracut/modules.d/98systemd/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/99base
|
||||||
|
%{_prefix}/lib/dracut/modules.d/99base/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/99fs-lib
|
||||||
|
%{_prefix}/lib/dracut/modules.d/99fs-lib/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/99img-lib
|
||||||
|
%{_prefix}/lib/dracut/modules.d/99img-lib/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/99shutdown
|
||||||
|
%{_prefix}/lib/dracut/modules.d/99shutdown/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/99squash-live
|
||||||
|
%{_prefix}/lib/dracut/modules.d/99squash-live/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/99uefi-lib
|
||||||
|
%{_prefix}/lib/dracut/modules.d/99uefi-lib/*
|
||||||
|
%dir %{_prefix}/lib/kernel
|
||||||
|
%dir %{_prefix}/lib/kernel/install.d
|
||||||
|
%{_prefix}/lib/kernel/install.d/50-dracut.install
|
||||||
|
%{_prefix}/lib/kernel/install.d/51-dracut-rescue.install
|
||||||
|
/lib/systemd/system/dracut-*.service
|
||||||
|
/lib/systemd/system/shutdown.target.wants/dracut-shutdown.service
|
||||||
|
/lib/systemd/system/initrd.target.wants/dracut-*.service
|
||||||
|
%{_datadir}/bash-completion/completions/dracut
|
||||||
|
%{_datadir}/bash-completion/completions/lsinitrd
|
||||||
|
%{_datadir}/pixmaps/openmamba-logo.png
|
||||||
|
%{_mandir}/man1/lsinitrd.1*
|
||||||
|
%{_mandir}/man7/dracut.bootup.7*
|
||||||
|
%{_mandir}/man5/dracut.conf.5*
|
||||||
|
%{_mandir}/man7/dracut.kernel.7*
|
||||||
|
%{_mandir}/man7/dracut.cmdline.7*
|
||||||
|
%{_mandir}/man7/dracut.modules.7*
|
||||||
|
%{_mandir}/man8/dracut-catimages.8*
|
||||||
|
%{_mandir}/man8/dracut-cmdline.service.8*
|
||||||
|
%{_mandir}/man8/dracut-initqueue.service.8*
|
||||||
|
%{_mandir}/man8/dracut-mount.service.8*
|
||||||
|
%{_mandir}/man8/dracut-pre-mount.service.8*
|
||||||
|
%{_mandir}/man8/dracut-pre-pivot.service.8*
|
||||||
|
%{_mandir}/man8/dracut-pre-trigger.service.8*
|
||||||
|
%{_mandir}/man8/dracut-pre-udev.service.8*
|
||||||
|
%{_mandir}/man8/dracut-shutdown.service.8*
|
||||||
|
%{_mandir}/man8/mkinitrd.8*
|
||||||
|
%{_mandir}/man8/mkinitrd-suse.8*
|
||||||
|
%{_mandir}/man8/dracut.8*
|
||||||
|
%doc AUTHORS COPYING
|
||||||
|
|
||||||
|
%files modules-extras
|
||||||
|
%defattr(-,root,root)
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/00bootchart
|
||||||
|
%{_prefix}/lib/dracut/modules.d/00bootchart/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/05busybox
|
||||||
|
%{_prefix}/lib/dracut/modules.d/05busybox/module-setup.sh
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90crypt
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90crypt/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90dm
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90dm/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90dmraid
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90dmraid/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90dmsquash-live
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90dmsquash-live/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/50gensplash
|
||||||
|
%{_prefix}/lib/dracut/modules.d/50gensplash/*
|
||||||
|
%dir %{_prefix}/lib/dracut/modules.d/90lvm
|
||||||
|
%{_prefix}/lib/dracut/modules.d/90lvm/*
|
||||||
|
%doc NEWS README README.generic README.kernel README.modules TODO
|
||||||
|
|
||||||
|
%changelog
|
||||||
|
* Wed Apr 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-4mamba
|
||||||
|
- squash-overlayfs-live-openmamba: workaround to fix problem since udev 212 about systemd-udev mounting in its own namespace
|
||||||
|
|
||||||
|
* Wed Apr 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-3mamba
|
||||||
|
- squash-overlayfs-live-openmamba patch: run action_on_file instead of exit 1 in failure cases
|
||||||
|
- added requirements: curl, tar, openssh-clients, cifs-utils
|
||||||
|
|
||||||
|
* Sat Mar 29 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-2mamba
|
||||||
|
- require keyutils
|
||||||
|
|
||||||
|
* Fri Mar 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 037-1mamba
|
||||||
|
- update to 037
|
||||||
|
|
||||||
|
* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-5mamba
|
||||||
|
- squash-live module: working fix is using mount -o bind instead of moving
|
||||||
|
|
||||||
|
* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-4mamba
|
||||||
|
- dracut-functions.sh: fix wrong libdirs assignment when ldconfig_paths is defined
|
||||||
|
|
||||||
|
* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-3mamba
|
||||||
|
- squash-live module: update patch to fix references to udev rules directory
|
||||||
|
- squash-live module: use mount -o move instead of mount --move causing a new error
|
||||||
|
|
||||||
|
* Fri Aug 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 032-2mamba
|
||||||
|
- nfs module: create /var/lib/nfs/sm instead of /var/lib/nfs/statd/sm
|
||||||
|
|
||||||
|
* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 032-1mamba
|
||||||
|
- automatic update by autodist
|
||||||
|
|
||||||
|
* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 029-1mamba
|
||||||
|
- automatic version update by autodist
|
||||||
|
|
||||||
|
* Fri Apr 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 027-2mamba
|
||||||
|
- added a patch to correctly find systemdutildir
|
||||||
|
|
||||||
|
* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 027-1mamba
|
||||||
|
- update to 027
|
||||||
|
|
||||||
|
* Thu Mar 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-4mamba
|
||||||
|
- added requirements for /sbin/{reboot,poweroff,halt} and /bin/pidof
|
||||||
|
|
||||||
|
* Sun Mar 24 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-3mamba
|
||||||
|
- provide systemdsystemunitdir path
|
||||||
|
- moved 00bootchart to -modules-extras
|
||||||
|
|
||||||
|
* Sun Mar 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-2mamba
|
||||||
|
- added a patch to fix lsinitrd (http://www.mail-archive.com/initramfs@vger.kernel.org/msg03096.html)
|
||||||
|
|
||||||
|
* Sat Mar 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 026-1mamba
|
||||||
|
- update to 026
|
||||||
|
- don't require sysvinit as a preparation for systemd switch
|
||||||
|
|
||||||
|
* Sat Jan 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 025-1mamba
|
||||||
|
- update to 025
|
||||||
|
|
||||||
|
* Tue Nov 27 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 024-3mamba
|
||||||
|
- require prelink
|
||||||
|
|
||||||
|
* Thu Nov 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 024-2mamba
|
||||||
|
- update squash-live module and possibly fix missing loop module error at boot
|
||||||
|
- support isomd5sum squash-live for future implementation (added requirement)
|
||||||
|
- require binutils (for strip)
|
||||||
|
|
||||||
|
* Sat Oct 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 024-1mamba
|
||||||
|
- update to 024
|
||||||
|
- updated squash-overlayfs-live patch to remove an error with dash
|
||||||
|
|
||||||
|
* Wed Sep 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 023-4mamba
|
||||||
|
- require mdadm
|
||||||
|
|
||||||
|
* Wed Sep 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 023-3mamba
|
||||||
|
- live-openmamba patch also needs iso9660 module explicitly
|
||||||
|
|
||||||
|
* Sun Sep 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 023-2mamba
|
||||||
|
- update live-openmamba patch to support overlayfs (requires kernel >= 3.4)
|
||||||
|
|
||||||
|
* Sun Aug 19 2012 Automatic Build System <autodist@mambasoft.it> 023-1mamba
|
||||||
|
- automatic version update by autodist
|
||||||
|
|
||||||
|
* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 020-2mamba
|
||||||
|
- added a patch to support plymouth >= 0.8.5 populate initrd script which doesn't use PLYMOUTH_POPULATE_SOURCE_FUNCTIONS anymore
|
||||||
|
|
||||||
|
* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 020-1mamba
|
||||||
|
- update to 020
|
||||||
|
|
||||||
|
* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 015-1mamba
|
||||||
|
- update to 015
|
||||||
|
|
||||||
|
* Sun Feb 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 014-2mamba
|
||||||
|
- added patch from upstream git to fix install of modules.order and modules.builtin*
|
||||||
|
|
||||||
|
* Fri Jan 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 014-1mamba
|
||||||
|
- update to 014
|
||||||
|
|
||||||
|
* Wed Nov 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-8mamba
|
||||||
|
- squash-live-openmamba: chmod / 755 after unionfs mount to fix world writable root
|
||||||
|
|
||||||
|
* Mon Oct 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-7mamba
|
||||||
|
- i18n: install /usr/lib/locale/locale-archive to fix i18n support
|
||||||
|
|
||||||
|
* Sun Oct 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-6mamba
|
||||||
|
- add patches to mount securityfs with name 'securityfs' instead of mount destination
|
||||||
|
- added requirement for file (lsinitrd)
|
||||||
|
|
||||||
|
* Thu Oct 06 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-5mamba
|
||||||
|
- squash-live-openmamba: install usb modules including xhci-hcd for USB 3.0 boot support
|
||||||
|
|
||||||
|
* Fri Sep 09 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-4mamba
|
||||||
|
- obsolete mkinitramfs
|
||||||
|
|
||||||
|
* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-3mamba
|
||||||
|
- squash-live-openmamba: specify tmpfs instead of /dev/shm as /ramfs mount device
|
||||||
|
|
||||||
|
* Wed Aug 31 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-2mamba
|
||||||
|
- added requirements for kexec-tools, btrfs-progs, reiserfsprogs and xfsprogs
|
||||||
|
|
||||||
|
* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 013-1mamba
|
||||||
|
- update to 013
|
||||||
|
|
||||||
|
* Thu Aug 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 011-1mamba
|
||||||
|
- update to 011
|
||||||
|
|
||||||
|
* Thu Aug 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-6mamba
|
||||||
|
- fixed an error in squash-live-openmamba patch when creating udev rules
|
||||||
|
|
||||||
|
* Fri Jul 01 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-5mamba
|
||||||
|
- added patch to set gid=4 instead of gid=5 in /dev/pts mount command
|
||||||
|
|
||||||
|
* Wed Jun 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-4mamba
|
||||||
|
- squash-live patch for openmamba updated for version 010
|
||||||
|
|
||||||
|
* Fri Jun 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-3mamba
|
||||||
|
- added patch to fix an error when /etc/ld.so.conf.d is emptry (see https://bugzilla.redhat.com/show_bug.cgi?id=696997)
|
||||||
|
|
||||||
|
* Sat Jun 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-2mamba
|
||||||
|
- mkinitrd: reverse a change in dracut 008 that disables host-only mode (git.kernel.org commit e4e3b4c82153025d5746bfd9b676f84dbe1bc959)
|
||||||
|
|
||||||
|
* Thu Jun 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 010-1mamba
|
||||||
|
- update to 010
|
||||||
|
|
||||||
|
* Fri Apr 29 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 008-1mamba
|
||||||
|
- update to 008
|
||||||
|
- added requirement for ifenslave
|
||||||
|
|
||||||
|
* Wed Feb 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-13mamba
|
||||||
|
- squash-live-openmamba: restore support for rw unionfs dir for use with usb storage
|
||||||
|
|
||||||
|
* Sat Feb 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-12mamba
|
||||||
|
- add check file to squash-live module to fix install
|
||||||
|
|
||||||
|
* Thu Feb 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-11mamba
|
||||||
|
- added module squash-live instead of patching dmsquash-live
|
||||||
|
- move dmsquash module to module-extras package
|
||||||
|
- require dhcp-client because alternative clients are not supported yet
|
||||||
|
|
||||||
|
* Tue Feb 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-10mamba
|
||||||
|
- change requirement from dhcp-client to dhcpclient
|
||||||
|
|
||||||
|
* Sun Jan 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 007-9mamba
|
||||||
|
- move dm, dmraid, lvm and gensplash modules to new dracut-modules-extras subpackage
|
||||||
|
|
||||||
|
* Fri Oct 22 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-8mamba
|
||||||
|
- added liveiso extramount patch for bootusb support
|
||||||
|
|
||||||
|
* Sun Sep 19 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-7mamba
|
||||||
|
- removed uvesafb support after fixing standard vesa support in kernel
|
||||||
|
|
||||||
|
* Sat Sep 18 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-6mamba
|
||||||
|
- added support for uvesafb
|
||||||
|
|
||||||
|
* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-5mamba
|
||||||
|
- added patch for dmsquash-live module to correctly handle openmamba squashfs structure
|
||||||
|
- added requirement for lvm2
|
||||||
|
|
||||||
|
* Mon Sep 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-4mamba
|
||||||
|
- added requirements for nfs-utils, util-linux-ng (mount/umount), cpio, bzip2, gzip
|
||||||
|
|
||||||
|
* Mon Sep 06 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-3mamba
|
||||||
|
- added requirements: iproute, sysvinit, iputils, less, dhclient
|
||||||
|
|
||||||
|
* Sun Sep 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-2mamba
|
||||||
|
- added openmamba logo and fixes for release file
|
||||||
|
|
||||||
|
* Sun Sep 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 007-1mamba
|
||||||
|
- package created by autospec
|
Loading…
Reference in New Issue
Block a user